[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TStringField.Value

Value of the field as a string

## Declaration

Source position: db.pas line 473

`public property TStringField.Value: String read GetAsString write SetAsString;`

## Description

Value is overridden in TField to return the value of the field as a string. It returns the contents of TField.AsString when read, or sets the AsString property when written to.

## See also

TField.AsString |  | Access the field's contents as an AnsiString value.
TField.Value |  | Value of the field as a variant value

The latest version of this document can be found at lazarus-ccr.sourceforge.net .